
QGIS Application - Bug report #15116

Bad interpretation of CircularString representing full circle

2016-06-23 07:09 AM - Even Rouault

Status: Closed

Priority: Normal

Assignee: Marco Hugentobler

Category: Geometry

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23058

Description

Currently for a CircularString(p0,p1,p2) where p0 == p2, QGIS considers p1 to be the center of the circle, whereas GDAL and PostGIS

follow ISO SQL/MM Part 3 which says that the center of the circle is the midpoint of [p0,p1]. It would be good for QGIS to align on GDAL &

PostGIS for interoperability through exchanges of WKT/WKB geometries.

Discussion thread : https://lists.osgeo.org/pipermail/qgis-developer/2016-June/043416.html

Associated revisions

Revision 203f9755 - 2016-06-27 10:37 AM - Marco Hugentobler

Change full circle interpretation, fixes #15116

Revision 21b8ef0e - 2016-06-27 04:15 PM - Marco Hugentobler

Merge pull request #3242 from mhugent/full_circle

Change full circle interpretation, fixes #15116

History

#1 - 2016-06-26 11:32 PM - Marco Hugentobler

- Assignee set to Marco Hugentobler

#2 - 2016-06-27 07:15 AM - Marco Hugentobler

- Status changed from Open to Closed

Fixed in changeset commit:"21b8ef0e4a863094d506e42366e888d005884cc0".
